TESTING/LIN/zlaipd.f(3)

NAME
TESTING/LIN/zlaipd.f

SYNOPSIS

  Functions/Subroutines
subroutine zlaipd (n, a, inda, vinda)
ZLAIPD

Function/Subroutine Documentation

  subroutine zlaipd (integer n, complex*16, dimension( * ) a, integer inda, integer vinda)

ZLAIPD

Purpose:

     ZLAIPD sets the imaginary part of the diagonal elements of a complex
     matrix A to a large value.  This is used to test LAPACK routines for
     complex Hermitian matrices, which are not supposed to access or use
     the imaginary parts of the diagonals.

Parameters
    N

              N is INTEGER
             The number of diagonal elements of A.

    A

              A is COMPLEX*16 array, dimension
                            (1+(N-1)*INDA+(N-2)*VINDA)
             On entry, the complex (Hermitian) matrix A.
             On exit, the imaginary parts of the diagonal elements are set
             to BIGNUM = EPS / SAFMIN, where EPS is the machine epsilon and
             SAFMIN is the safe minimum.

    INDA

              INDA is INTEGER
             The increment between A(1) and the next diagonal element of A.
             Typical values are
             = LDA+1:  square matrices with leading dimension LDA
             = 2:  packed upper triangular matrix, starting at A(1,1)
             = N:  packed lower triangular matrix, starting at A(1,1)

    VINDA

              VINDA is INTEGER
             The change in the diagonal increment between columns of A.
             Typical values are
             = 0:  no change, the row and column increments in A are fixed
             = 1:  packed upper triangular matrix
             = -1:  packed lower triangular matrix

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 82 of file zlaipd.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.